## Process this file with automake to produce Makefile.in
##
## $Id$
##
## automake input for the MicroNeil SNFServerConfig application.
##
## Author:  Alban Deniz
##
## Copyright (C) 2012 ARM Research Labs, LLC.
## See www.armresearch.com for the copyright terms.
##
##

LIBS = @SNF_LIBS@ -L../../SNFMulti -L../../CodeDweller -L../Common -lUtilityCommon \
-lSNFMulti -lCodeDweller @LIBS@

CXXFLAGS = $(SNF_CXXFLAGS) -I@top_srcdir@/SNFMulti -I@top_srcdir@/CodeDweller \
-I@top_srcdir@/SNFUtility/Common -DDEFAULT_CONFIG_DIR=\"@sysconfdir@\" \
-DDOC_DIR=\"@docdir@\"

sbin_PROGRAMS =               			                           \
	SNFServerConfig

SNFServerConfig_SOURCES =        				           \
	@top_srcdir@/SNFUtility/SNFServerConfig/main.cpp                   \
	@top_srcdir@/SNFUtility/SNFServerConfig/SNFServerConfig.cpp        \
	@top_srcdir@/SNFUtility/SNFServerConfig/PostfixIntegrate.cpp       \
	@top_srcdir@/SNFUtility/SNFServerConfig/SendmailIntegrate.cpp

noinst_HEADERS =                    			                   \
	@top_srcdir@/SNFUtility/SNFServerConfig/SNFServerConfig.hpp        \
	@top_srcdir@/SNFUtility/SNFServerConfig/PostfixIntegrate.hpp       \
	@top_srcdir@/SNFUtility/SNFServerConfig/SendmailIntegrate.hpp

EXTRA_DIST = 							\
	Makefile.am						\
	ChangeLog

install-exec-hook:
	ln -f $(DESTDIR)$(sbindir)/SNFServerConfig$(EXEEXT) $(DESTDIR)$(sbindir)/SNFDebugServerConfig$(EXEEXT)

uninstall-hook:
	rm -f $(DESTDIR)$(sbindir)/SNFDebugServerConfig$(EXEEXT)

clean-local:
	rm -f *.gcno *.gcov *.gcda *~ $(CONFDATA)
